Bug 9242 - shar y2k problem
Summary: shar y2k problem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sharutils   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-08 19:41 UTC by flachance
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 20:52:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description flachance 2000-02-08 19:41:21 UTC
sharutils 4.2-14

On any dates past December 31 1999. If a file is created then included in
a shar archive with shar --m, when the archive is extracted the file does
not keep its original modification time attributes, also an extra empty
file gets created.
Example for January 1st 2000:

#ls -l
-rw-r--r--

Comment 1 flachance 2000-02-08 19:54:59 UTC
Example for Jabnuary 1st 2000:

#ls -l
-rw-r--r--   1  root     root        0 Jan  1 23:52 test.01012000
-rw-r--r--   1  root     root        0 Dec 31 23:52 test.12311999
-rw-r--r--   1  root     root        0 Sep  9 23:53 test.09091999
-rw-r--r--   1  root     root        0 Jan  1  1999 test.01011999
#shar --m * > shartest
shar: Saving test.01012000 (empty)
shar: Saving test.12311999 (empty)
shar: Saving test.09091999 (empty)
shar: Saving test.01011999 (empty)
#rm test*
#sh shartest
x - creating lock directory
x - extracting test.01012000 (empty)
x - extracting test.12311999 (empty)
x - extracting test.09091999 (empty)
x - extracting test.01011999 (empty)
#ls -l
-rw-r--r--   1  root     root        0 Jan  1 23:53 01012352100
-rw-r--r--   1  root     root        0 Jan  1 23:53 test.01012000
-rw-r--r--   1  root     root        0 Dec 31 23:52 test.12311999
-rw-r--r--   1  root     root        0 Sep  9 23:53 test.09091999
-rw-r--r--   1  root     root        0 Jan  1  1999 test.01011999

Comment 2 Bill Nottingham 2000-02-08 20:52:59 UTC
Fixed in sharutils errata.


Note You need to log in before you can comment on or make changes to this bug.